<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.21
Name: [4] Lek gotowy
Description: Szablon CDA dla leku gotowego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000">
   <title>[4] Lek gotowy</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]"
         id="tmp-r-3feff9d1-2f8a-4e4a-b46a-816bae307ee7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'])&gt;=1 and not(hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/@nullFlavor)">(plCdaManufacturedLabeledDrug): element hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']"
         id="tmp-r-6f235547-9744-45db-a9ba-2802a903693c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaManufacturedLabeledDrug): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21']/@nullFlavor)">(plCdaManufacturedLabeledDrug): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:manufacturerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:manufacturerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21']
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.21']"
         id="tmp-r-113ed875-4edf-4c34-8392-db17f3a4204a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.21'">(plCdaManufacturedLabeledDrug): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.21'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaManufacturedLabeledDrug): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:id
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:id"
         id="tmp-r-f52dcae9-59f3-4beb-a6a6-0681610b7a69">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaManufacturedLabeledDrug): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]"
         id="tmp-r-8c99790b-79aa-4208-976e-d87adeff7ae5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaManufacturedLabeledDrug): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaManufacturedLabeledDrug): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']/@nullFlavor)">(plCdaManufacturedLabeledDrug): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'])&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaManufacturedLabeledDrug): element hl7:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']"
         id="tmp-r-0f3e91c8-a8bd-4880-b202-342b4d5ac84f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaManufacturedLabeledDrug): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.1') or (@codeSystem='2.16.840.1.113883.3.4424.6.2')">(plCdaManufacturedLabeledDrug): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.1' lub codeSystem '2.16.840.1.113883.3.4424.6.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:name
Item: (plCdaManufacturedLabeledDrug)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.6.1' or @codeSystem='2.16.840.1.113883.3.4424.6.2']]/hl7:name"
         id="tmp-r-02ec4eaa-ed02-4697-9ec0-e9f1a6c31328">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.21-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaManufacturedLabeledDrug): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.21
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']]/hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.21']/hl7:manufacturerOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.2']
Item: (plCdaManufacturedLabeledDrug)
--></pattern>
