<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.33
Name: [2] Wystawca dokumentu dla recepty farmacetycznej
Description: Szablon CDA wystawcy dokumentu dla receptywystawionej przez frameceutę w aptece
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000">
   <title>[2] Wystawca dokumentu dla recepty farmacetycznej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]"
         id="tmp-r-6ba055be-9450-4813-af26-9385cbee9b0b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']"
         id="tmp-r-f721c40b-6211-4f68-99a8-5d3349e5ff43">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="string(@typeCode)='LA' or not(@typeCode)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość dla @typeCode MUSI wynosić 'LA'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość dla @contextControlCode MUSI wynosić 'OP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:time)&gt;=1 ">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:time jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:signatureCode[@code='S' or @nullFlavor])&gt;=1 ">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:signatureCode[@code='S' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:signatureCode[@code='S' or @nullFlavor])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:signatureCode[@code='S' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]])&gt;=1 and not(hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33']
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.33']"
         id="tmp-r-3ecc80a5-c51e-4555-bbeb-9082990a9625">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.33'">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.33'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:time
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:time"
         id="tmp-r-aee40882-acbb-45e9-a66d-89b36b83f046">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:signatureCode[@code='S' or @nullFlavor]
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:signatureCode[@code='S' or @nullFlavor]"
         id="tmp-r-3e2eee7a-b3b3-48b3-9a98-edb481b90113">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="@nullFlavor or (@code='S')">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość elementu MUSI wynosić code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]"
         id="tmp-r-46b8e445-a60a-42dd-bd14-f7679aa5dcd7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(hl7:id/@root='2.16.840.1.113883.3.4424.1.6.2' and not(hl7:code/@code=('LEK','LEKD','FEL'))) or (hl7:id/@root='2.16.840.1.113883.3.4424.1.6.3' and not(hl7:code/@code=('PIEL','POL'))) or (hl7:id/@root='2.16.840.1.113883.3.4424.1.6.1' and not(hl7:code/@code=('FARM'))) or (hl7:id/@root='2.16.840.1.113883.3.4424.1.6.4' and not(hl7:code/@code=('DLAB')))">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator):  Wskazana pula numerów Prawa Wykonywania Zawodu jest nieprawidłowa w stosunku do wskazanego zawodu wystawcy dokumentu </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="not(//hl7:wholeOrganization/hl7:addr) and not(//hl7:representedOrganization/hl7:addr)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator):  Jeżeli nie istnieje adres na żadnym z poziomów wholeOrganization, to musi istnieć adres dla representedOrganization </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="not(//hl7:wholeOrganization/hl7:telecom) and not(//hl7:representedOrganization/hl7:telecom)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator):  Jeżeli nie istnieje numer telefonu na żadnym z poziomów wholeOrganization, to musi istnieć numer telefonu dla representedOrganization </report>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="not(//hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1']) and not(//hl7:wholeOrganization[hl7:id/@root='2.16.840.1.113883.3.4424.2.2.1' and not(hl7:asOrganizationPartOf)])">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator):  Dla dokumentu recepty wymagany jest numer REGON. Jeżeli identyfikator representedOrganization nie wskazuje numeru REGON, to musi on wystepować na ostanim poziomie wholeOrganization. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor])&gt;=1 ">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&gt;=1 and not(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.31'])&gt;=1 and not(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.31']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.31'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.31'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.31'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(extPL:boundedBy)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element extPL:boundedBy występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="count(extPL:boundedBy)=0">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): element extPL:boundedBy NIE MOŻE wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']"
         id="tmp-r-969cff59-988d-4ff7-91b9-dc322e5a0161">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="@extension">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Atrybut @extension MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.1'">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]"
         id="tmp-r-f9ccddcf-c78d-4b41-9835-f74f3584d784">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="@nullFlavor or (@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18' and @displayName='Farmaceuta' and @codeSystemName='ZAWODY_MED')">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Wartość elementu MUSI wynosić code 'FARM' codeSystem '2.16.840.1.113883.3.4424.11.3.18' displayName='Farmaceuta' codeSystemName='ZAWODY_MED'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:telecom
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <rule context="*[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:telecom"
         id="tmp-r-20d24510-b5f5-4b59-839c-74e2d9e379bd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.33-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.33
Context: *[hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']]/hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.33']/hl7:assignedEntity[hl7:code[(@code='FARM' and @codeSystem='2.16.840.1.113883.3.4424.11.3.18') or @nullFlavor]]/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.31']
Item: (plCdaPharmaceuticalDrugPrescriptionLegalAuthenticator)
--></pattern>
