<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.76
Name: [2] Dane wykonanej operacji/zabiegu
Description: Szablon CDA dla danych wykonanej usługi w przypadku operacji lub zabiegu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000">
   <title>[2] Dane wykonanej operacji/zabiegu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]"
         id="tmp-r-f318eec8-a1b7-40bd-b5a5-458a30239065">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'])&gt;=1 and not(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']"
         id="tmp-r-9f9e6531-db83-4675-abe7-924bc37d23ec">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@typeCode)='DOC'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @typeCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]])&gt;=1 and not(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.76']"
         id="tmp-r-3cb688aa-9b1d-470b-b9ac-df6abfd30970">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.76'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.76'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDocumentationOfSurgicalOperation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]"
         id="tmp-r-c72211ce-11dc-453f-a8f4-b088e2c6c352">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@classCode)='ACT'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaDocumentationOfSurgicalOperation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaDocumentationOfSurgicalOperation): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:performer[@typeCode='PPRF']|hl7:performer[@typeCode!='PPRF'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaDocumentationOfSurgicalOperation): wybór (hl7:performer[@typeCode='PPRF'] lub hl7:performer[@typeCode!='PPRF']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:performer[@typeCode='PPRF'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:performer[@typeCode='PPRF'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:performer[@typeCode='PPRF'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:performer[@typeCode='PPRF'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:id
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:id"
         id="tmp-r-0a86251a-f347-427c-8dc3-71dcf71b7acf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]"
         id="tmp-r-e457ca3f-b4dd-49d9-9a78-4f5e4c19b405">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="hl7:translation/@codeSystem='2.16.840.1.113883.3.4424.11.2.6'">(plCdaDocumentationOfSurgicalOperation):  Nie można użyć kodu ze słownika ICD-9 PL do kodowania tłumaczenia kodu zabiegu/procedury. </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime"
         id="tmp-r-037fc065-7d5d-47e3-9756-ad0bbb2c29f3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:low)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:low jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:high)&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:high jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:low
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:low"
         id="tmp-r-be331220-c730-42f9-bb8b-d154cd7ee949">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2),'T',substring(@value,9,2),':',substring(@value,11,2),':00') castable as xs:dateTime">(plCdaDocumentationOfSurgicalOperation): Data musi być w formacie YYYYMMDDHHMM.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:high
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:effectiveTime/hl7:high"
         id="tmp-r-f404e360-2cc4-4e65-96b1-7fcbff96e33a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2),'T',substring(@value,9,2),':',substring(@value,11,2),':00') castable as xs:dateTime">(plCdaDocumentationOfSurgicalOperation): Data musi być w formacie YYYYMMDDHHMM.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']"
         id="tmp-r-fb2f733c-57a8-4e78-bcc1-bcae6eb7ee77">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@typeCode">(plCdaDocumentationOfSurgicalOperation): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDocumentationOfSurgicalOperation): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('PPRF')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDocumentationOfSurgicalOperation): Wartość dla typeCode MUSI wynosić 'kod PPRF'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[@code='PRISURG' or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[@code='PRISURG' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[@code='PRISURG' or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[@code='PRISURG' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:functionCode[@code='PRISURG' or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:functionCode[@code='PRISURG' or @nullFlavor]"
         id="tmp-r-2a96825b-7b52-4047-a0f0-76390caba3e2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or (@code='PRISURG')">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić code 'PRISURG'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:time
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:time"
         id="tmp-r-5eb0a0e4-d817-4d9a-b2cf-dd79fc3868e2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode='PPRF']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDocumentationOfSurgicalOperation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']"
         id="tmp-r-a5bd8963-ce9a-4408-acf7-de786df6d8cc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@typeCode">(plCdaDocumentationOfSurgicalOperation): atrybut @typeCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaDocumentationOfSurgicalOperation): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19601-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(plCdaDocumentationOfSurgicalOperation): Wartość dla typeCode MUSI pochodzić z zbiór wartości 'x_ServiceEventPerformer' (DYNAMICZNE)</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&gt;=1 ">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="count(hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'])&lt;=1">(plCdaDocumentationOfSurgicalOperation): element hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-2fe442e9-4a3d-49cf-9ab1-ad83e07586e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDocumentationOfSurgicalOperation): Wartość elementu MUSI wynosić ParticipationFunction (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDocumentationOfSurgicalOperation): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationFunction (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:time
Item: (plCdaDocumentationOfSurgicalOperation)
-->

   <rule context="*[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:time"
         id="tmp-r-a7c2efcd-737b-44be-94fa-830b23331f15">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.76-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDocumentationOfSurgicalOperation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.76
Context: *[hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']]/hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.76']/hl7:serviceEvent[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]]/hl7:performer[@typeCode!='PPRF']/hl7:assignedEntity[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.49']
Item: (plCdaDocumentationOfSurgicalOperation)
--></pattern>
