<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.17
Name: [3] Sekcja wywiadu społecznego na skierowaniu do szpitala psychiatrycznego
Description: Szablon CDA dla sekcji wywiadu społecznego na skierowaniu do szpitala psychiatrycznego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000">
   <title>[3] Sekcja wywiadu społecznego na skierowaniu do szpitala psychiatrycznego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]"
         id="tmp-r-11eb8ec9-bc97-4f8a-b9f8-1c6ba102f9ed">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/@nullFlavor)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17'])&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']"
         id="tmp-r-ce4e0110-0cac-40b6-8b81-31375861dd00">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17'] | self::hl7:id | self::hl7:code[@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Social history'] | self::hl7:title | self::hl7:text | self::hl7:component)])">(plCdaReferralToPsychiatricHospitalSocialHistorySection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja wywiadu społecznego na skierowaniu do szpitala psychiatrycznego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17']/@nullFlavor)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17'])&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.3']])&lt;=1">(plCdaReferralToPsychiatricHospitalSocialHistorySection): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.3']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17']
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.17']"
         id="tmp-r-5f00a6a6-e0e1-4b37-af2b-c7ad33b32da4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.17'">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.17'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:id
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:id"
         id="tmp-r-55c8cbed-efdf-4271-9339-2ecdad541e8e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:code[(@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-e23fb932-76d5-4040-836e-b556a073885a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="@nullFlavor or (@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Social history' and @codeSystemName='LOINC')">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Wartość elementu MUSI wynosić code '29762-2' codeSystem '2.16.840.1.113883.6.1' displayName='Social history' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:title
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:title"
         id="tmp-r-e8ff05ef-a164-49b3-9a49-c7c9ff9c04c8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:text
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:text"
         id="tmp-r-851bf45a-a2bd-4362-874e-1f877d579acc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.17
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.3']]
Item: (plCdaReferralToPsychiatricHospitalSocialHistorySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.17']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.3']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.17-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaReferralToPsychiatricHospitalSocialHistorySection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
