<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.59
Name: [3] Sekcja postaci binarnej dokumentu skierowania do uzdrowiska
Description: Szablon struktury CDA dla sekcji postaci binarnej dokumentu skierowania do uzdrowiska
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000">
   <title>[3] Sekcja postaci binarnej dokumentu skierowania do uzdrowiska</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]"
         id="tmp-r-b31f9090-5b5d-4c62-8c0d-1e9c01abe865">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59'])&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']"
         id="tmp-r-51c79aab-4e12-4715-bd8e-445beec15866">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaHealthResortReferralDocumentBinarySection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaHealthResortReferralDocumentBinarySection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="hl7:code/@code = /hl7:ClinicalDocument/hl7:code/@code and hl7:code/@displayName = /hl7:ClinicalDocument/hl7:code/@displayName">(plCdaHealthResortReferralDocumentBinarySection):  Kod typu sekcji postaci binarnej dokumentu musi byc zgodny z kodem typu dokumentu. </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59'] | self::hl7:id | self::hl7:code[@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC'] | self::hl7:title | self::hl7:text | self::hl7:entry)])">(plCdaHealthResortReferralDocumentBinarySection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja postaci binarnej dokumentu skierowania do uzdrowiska" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59']/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59'])&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.6.1']/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.1'])&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:code[@codeSystem='2.16.840.1.113883.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:title)=0">(plCdaHealthResortReferralDocumentBinarySection): element hl7:title NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']])&gt;=1 and not(hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.8'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.8']/@nullFlavor)">(plCdaHealthResortReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.8'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.8'])&lt;=1">(plCdaHealthResortReferralDocumentBinarySection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.8'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59']
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.59']"
         id="tmp-r-aa622314-c8d2-443c-bbb2-55b5f9a2f6f6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHealthResortReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.59'">(plCdaHealthResortReferralDocumentBinarySection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.59'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaHealthResortReferralDocumentBinarySection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:id
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:id"
         id="tmp-r-51a5b7dd-7795-4a68-9c3f-93c13781ff8e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHealthResortReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:code[@codeSystem='2.16.840.1.113883.6.1']"
         id="tmp-r-ed8da65b-b83f-45fb-b7fd-fd73b928e01e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHealthResortReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(plCdaHealthResortReferralDocumentBinarySection): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:title
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:title"
         id="tmp-r-f2c5455b-392d-4e15-88a3-a3bc61d0667b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHealthResortReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:text
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:text"
         id="tmp-r-43e28abd-f01a-4f2d-b335-718f6d98d426">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHealthResortReferralDocumentBinarySection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:entry[hl7:observationMedia[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.49']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaHealthResortReferralDocumentBinarySection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaHealthResortReferralDocumentBinarySection): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaHealthResortReferralDocumentBinarySection): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.59
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]
Item: (plCdaHealthResortReferralDocumentBinarySection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.59']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.59-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaHealthResortReferralDocumentBinarySection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
