<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.27
Name: [4] Miejsce
Description: Szablon CDA dla miejsca
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.27-2018-06-30T000000">
   <title>[4] Miejsce</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.27
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.27']
Item: (plCdaBasePlaceRetired)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.27']"
         id="tmp-r-4b33e28d-fe1f-4480-8f78-0ee67b8de9c3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.27-2018-06-30T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaBasePlaceRetired): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.27-2018-06-30T000000.html"
              test="count(hl7:addr)&lt;=1">(plCdaBasePlaceRetired): element hl7:addr występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.27
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.27']/hl7:name
Item: (plCdaBasePlaceRetired)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.27']/hl7:name"
         id="tmp-r-4872f8c4-68de-44de-8e05-0f9595f18073">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.27-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePlaceRetired): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
