<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.1.22
Name: [1] Karta wywiadu pielęgniarskiego
Description: Szablon CDA karty wywiadu pielęgniarskiego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000">
   <title>[1] Karta wywiadu pielęgniarskiego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/" id="tmp-r-3751fa53-9a0a-44f8-b44d-e5a435027499">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22'])&gt;=1 and not(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22'])&lt;=1">(plCdaNursingHistoryNote): element hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']"
         id="tmp-r-c16cbf9a-57fd-45ba-972e-4627a152d3b2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(plCdaNursingHistoryNote): Wartość dla @classCode MUSI wynosić 'DOCCLIN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaNursingHistoryNote): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <let name="versionLabel" value="'1.3.1'"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:templateId[@root and @extension=$versionLabel])=1">(plCdaNursingHistoryNote):  Nie występuje prawidłowe oznaczenie zgodności dokumentu z daną wersją wydania Polskiej Implementacji Krajowej HL7 CDA. </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="/processing-instruction('xml-stylesheet') = concat('href=&#34;CDA_PL_IG_',$versionLabel,'.xsl&#34; type=&#34;text/xsl&#34;')">(plCdaNursingHistoryNote):  Nieprawidłowe wskazanie transformaty generującej warstwę prezentacyjną dokumentu.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:typeId[@root='2.16.840.1.113883.1.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(plCdaNursingHistoryNote): element hl7:typeId[@root='2.16.840.1.113883.1.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22'])&lt;=1">(plCdaNursingHistoryNote): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaNursingHistoryNote): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaNursingHistoryNote): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaNursingHistoryNote): element hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaNursingHistoryNote): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingHistoryNote): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingHistoryNote): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&gt;=1 and not(hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code])&lt;=1">(plCdaNursingHistoryNote): element hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:setId jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaNursingHistoryNote): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:versionNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaNursingHistoryNote): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'])&gt;=1 and not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'])&lt;=1">(plCdaNursingHistoryNote): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'])&gt;=1 and not(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'])&lt;=1">(plCdaNursingHistoryNote): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'])&gt;=1 and not(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'])&lt;=1">(plCdaNursingHistoryNote): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&gt;=1 and not(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&lt;=1">(plCdaNursingHistoryNote): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'])&lt;=1">(plCdaNursingHistoryNote): element hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51'])&lt;=1">(plCdaNursingHistoryNote): element hl7:documentationOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.51'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'])&gt;=1 and not(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'])&lt;=1">(plCdaNursingHistoryNote): element hl7:componentOf[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.52'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'])&gt;=1 and not(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71']/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'])&lt;=1">(plCdaNursingHistoryNote): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.71'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-41d6db70-5aab-4467-85ca-9982d0763fc2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="string(@extension)='POCD_HD000040'">(plCdaNursingHistoryNote): Wartość dla @extension MUSI wynosić 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(plCdaNursingHistoryNote): @root MUSI mieć wartość '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22']
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.22']"
         id="tmp-r-ebf42be8-cb1a-455a-ad6f-f5507b86bb37">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.1.22'">(plCdaNursingHistoryNote): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.1.22'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingHistoryNote): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaNursingHistoryNote): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:id
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:id"
         id="tmp-r-f245a4ea-dc97-4b33-bc00-83bb72e7266c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="@root">(plCdaNursingHistoryNote): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingHistoryNote): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="@extension">(plCdaNursingHistoryNote): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaNursingHistoryNote): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-44621471-fcf1-42a4-abf6-33fe77a6741c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="@nullFlavor or (@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Nursing notes' and @codeSystemName='LOINC')">(plCdaNursingHistoryNote): Wartość elementu MUSI wynosić code '46208-5' codeSystem '2.16.840.1.113883.6.1' displayName='Nursing notes' codeSystemName='LOINC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&gt;=1 and not(hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/@nullFlavor)">(plCdaNursingHistoryNote): element hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="count(hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&lt;=1">(plCdaNursingHistoryNote): element hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:code[(@code='46208-5' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]"
         id="tmp-r-7115d708-fb91-4465-96c9-a04040aa236b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="@nullFlavor or (@code='05.70' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32' and @displayName='Pozostałe dokumenty pielęgniarskie' and @codeSystemName='KLAS_DOK_P1')">(plCdaNursingHistoryNote): Wartość elementu MUSI wynosić code '05.70' codeSystem '2.16.840.1.113883.3.4424.11.1.32' displayName='Pozostałe dokumenty pielęgniarskie' codeSystemName='KLAS_DOK_P1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:title
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:title"
         id="tmp-r-7d00129a-182f-49cc-9d4b-ef9c2325db40">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:effectiveTime
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:effectiveTime"
         id="tmp-r-49686788-0bec-43fd-94e5-d159d3828456">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaNursingHistoryNote): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-e16ef272-c762-407a-9633-5486fedbd4d6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingHistoryNote): Wartość elementu MUSI wynosić x_BasicConfidentialityKind (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingHistoryNote): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości x_BasicConfidentialityKind (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:languageCode[@code=doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/*/@code]"
         id="tmp-r-b4065e7a-2c52-40ac-8bd8-9d715a98d144">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaNursingHistoryNote): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingHistoryNote): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:setId
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:setId"
         id="tmp-r-1d5d11ee-3bfb-4793-89b2-e7dd303c3e37">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.22
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:versionNumber
Item: (plCdaNursingHistoryNote)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.1.22']/hl7:versionNumber"
         id="tmp-r-ecd611d3-0f6c-4c39-9e6c-bd6a037d6baf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingHistoryNote): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.22-2018-09-30T000000.html"
              test="$digitok or @nullFlavor">(plCdaNursingHistoryNote): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
