<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.59
Name: [4] Dokument uprawnień
Description: Szablon CDA dla dokumentu uprawnień
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000">
   <title>[4] Dokument uprawnień</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]
Item: (plCdaEntitlementDocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']"
         id="tmp-r-734acabd-320d-4171-b84b-e1f1fa944afc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="@classCode">(plCdaEntitlementDocument): atrybut @classCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaEntitlementDocument): Atrybut @classCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@classCode,' ') return if ($code=('DOC')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(plCdaEntitlementDocument): Wartość dla classCode MUSI wynosić 'kod DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="@moodCode">(plCdaEntitlementDocument): atrybut @moodCode MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaEntitlementDocument): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@moodCode,' ') return if ($code=('EVN')) then ($code) else ())"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(plCdaEntitlementDocument): Wartość dla moodCode MUSI wynosić 'kod EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59'] | self::hl7:id[@root='2.16.840.1.113883.3.4424.8.2'][@root='2.16.840.1.113883.3.4424.8.2' and @extension] | self::hl7:id[@root='2.16.840.1.113883.3.4424.8.3'][@root='2.16.840.1.113883.3.4424.8.3' and @extension] | self::hl7:id[@root='2.16.840.1.113883.3.4424.8.5'][@root='2.16.840.1.113883.3.4424.8.5' and @extension] | self::hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.40'] | self::hl7:text)])">(plCdaEntitlementDocument): We fragmencie dokumentu zgodnym z szablonem "[4] Dokument uprawnień" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59']/@nullFlavor)">(plCdaEntitlementDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59'])&lt;=1">(plCdaEntitlementDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.2']|hl7:id[@root='2.16.840.1.113883.3.4424.8.3']|hl7:id[@root='2.16.840.1.113883.3.4424.8.5'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaEntitlementDocument): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.8.2'] lub hl7:id[@root='2.16.840.1.113883.3.4424.8.3'] lub hl7:id[@root='2.16.840.1.113883.3.4424.8.5']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.2'])&lt;=1">(plCdaEntitlementDocument): element hl7:id[@root='2.16.840.1.113883.3.4424.8.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.3'])&lt;=1">(plCdaEntitlementDocument): element hl7:id[@root='2.16.840.1.113883.3.4424.8.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.5'])&lt;=1">(plCdaEntitlementDocument): element hl7:id[@root='2.16.840.1.113883.3.4424.8.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaEntitlementDocument): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaEntitlementDocument): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59']
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.59']"
         id="tmp-r-df6be5ea-569d-4cd3-b241-8f32cb3293e1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaEntitlementDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.59'">(plCdaEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.59'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:id[@root='2.16.840.1.113883.3.4424.8.2']
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:id[@root='2.16.840.1.113883.3.4424.8.2']"
         id="tmp-r-f7e3a397-e9d2-46d3-842b-95cb20ca05cb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.2'">(plCdaEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="@extension">(plCdaEntitlementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaEntitlementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:id[@root='2.16.840.1.113883.3.4424.8.3']
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:id[@root='2.16.840.1.113883.3.4424.8.3']"
         id="tmp-r-94839918-a40f-45e8-8d3c-aa1a275c3340">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.3'">(plCdaEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.3'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="@extension">(plCdaEntitlementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaEntitlementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:id[@root='2.16.840.1.113883.3.4424.8.5']
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:id[@root='2.16.840.1.113883.3.4424.8.5']"
         id="tmp-r-94dea6d7-7097-4107-b723-b281d1639a36">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.5'">(plCdaEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.5'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="@extension">(plCdaEntitlementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaEntitlementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:code
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:code"
         id="tmp-r-5520f538-12f7-4cc3-9982-40b584047bad">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaEntitlementDocument): Wartość elementu MUSI wynosić TypDokumentuUprawnien Typ dokumentu uprawnień (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaEntitlementDocument): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TypDokumentuUprawnien Typ dokumentu uprawnień (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.59
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:text
Item: (plCdaEntitlementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.59']/hl7:text"
         id="tmp-r-de1f12cc-1fca-4f71-92c4-206b8fec3db4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.59-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaEntitlementDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
