<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.2
Name: [4] Rozpoznania dodatkowe
Description: Szablon CDA dla rozpoznań dodatkowych
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000">
   <title>[4] Rozpoznania dodatkowe</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]"
         id="tmp-r-d5a20497-0917-46d1-9e24-f8d63d53c164">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']"
         id="tmp-r-75f9e928-f8bb-4754-8186-88e695abe78f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaSecondaryDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'] | self::hl7:organizer[@classCode='BATTERY' and @moodCode='EVN'])])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2']/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:organizer jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:organizer)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:organizer występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.2']"
         id="tmp-r-c190c9f7-c427-42d7-b6f7-4145f156bd3d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.2'">(plCdaSecondaryDiagnosis): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaSecondaryDiagnosis): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer"
         id="tmp-r-ebfeee14-0065-4e0d-a2a1-bc4cc2ea0d45">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@classCode)='BATTERY'">(plCdaSecondaryDiagnosis): Wartość dla @classCode MUSI wynosić 'BATTERY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSecondaryDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:code[@code='85097005' and @codeSystem='2.16.840.1.113883.6.96' and @codeSystemName='SNOMED CT' and @displayName='Secondary diagnosis'] | self::hl7:statusCode[@code='completed'] | self::hl7:component)])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:component jest mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:code
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:code"
         id="tmp-r-b8fb4260-9361-4963-8080-be6f7e10210b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@nullFlavor or (@code='85097005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Secondary diagnosis' and @codeSystemName='SNOMED CT')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić code '85097005' codeSystem '2.16.840.1.113883.6.96' displayName='Secondary diagnosis' codeSystemName='SNOMED CT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:statusCode[@code='completed']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:statusCode[@code='completed']"
         id="tmp-r-b4463400-414f-473f-8aaf-f05fd28f7223">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component"
         id="tmp-r-50d915be-3805-44b7-ba27-938f88cef991">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaSecondaryDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:observation[@classCode='OBS' and @moodCode='EVN'])])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(plCdaSecondaryDiagnosis): element hl7:observation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:observation)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:observation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation"
         id="tmp-r-0f6cdfba-c265-48a7-a476-eb04eb252281">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@classCode)='OBS'">(plCdaSecondaryDiagnosis): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSecondaryDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSecondaryDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='2.16.840.1.113883.6.3'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10'] | self::hl7:code[@codeSystem='2.16.840.1.113883.6.260'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding'] | self::hl7:text)])">(plCdaSecondaryDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznania dodatkowe" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3']|hl7:code[@codeSystem='2.16.840.1.113883.6.260'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="$elmcount&gt;=1">(plCdaSecondaryDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="$elmcount&lt;=1">(plCdaSecondaryDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.260'])&lt;=1">(plCdaSecondaryDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.260'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSecondaryDiagnosis): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']"
         id="tmp-r-eae0cc85-9b49-4b5b-a2a7-957c3cb7a684">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.3' codeSystemName='icd10'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@code">(plCdaSecondaryDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@displayName">(plCdaSecondaryDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.2
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']
Item: (plCdaSecondaryDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']"
         id="tmp-r-8e2040a7-7ff5-4274-af2d-b1fcc7ec7a91">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSecondaryDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding')">(plCdaSecondaryDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.260' codeSystemName='icd10DualCoding'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@code">(plCdaSecondaryDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="@displayName">(plCdaSecondaryDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.2-2018-04-26T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaSecondaryDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:text"
         id="tmp-r-827feb69-7b24-4f97-b5c9-746c67c68e7f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText):  Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.2']/hl7:organizer/hl7:component/hl7:observation/hl7:text/hl7:reference"
         id="tmp-r-6b1ee129-7547-45b3-b079-51dc5a83c003">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2018-04-26T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText):  Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID </assert>
   </rule>
</pattern>
